%define wrappers_ver	1.0.3
%define oname ROX-Filer

Name:		rox
Version: 	2.6.1
Release: %mkrel 1
Summary:	A fast and powerful graphical file manager
Group:		Graphical desktop/Other
License:	GPL
URL:		http://rox.sourceforge.net
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-filer-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/%{name}/Wrappers-%{wrappers_ver}.tar.bz2
Source2:	rox-48.png
Source3:	rox-32.png
Source4:	rox-16.png
Patch0:		rox-20040801-xvt.patch
Patch1:		rox-2.1.2-shell.patch
Patch2:		rox-2.1.0-gnuclient.patch
Provides:	rox-base
Obsoletes:	rox-base
BuildRoot:	%{_tmppath}/%{name}-%version-buildroot
BuildRequires:	libgtk+2.0-devel >= 2.2.0
BuildRequires:  libxml2-devel
BuildRequires:  libgnome-vfs2-devel >= 2.8.0
BuildRequires:  libxt-devel
Requires(pre):	shared-mime-info >= 0.14
Requires(post):	shared-mime-info >= 0.14

%description
ROX-Filer is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.

The Wrappers package found on the Rox home page is already included.

%prep
%setup -q -a 1 -n rox-filer-%version
%patch0 -p1
%patch1 -p1 -b .shell
%patch2 -p1 -b .gnuclient

%build
export CFLAGS="$RPM_OPT_FLAGS -I%_prefix/X11R6/lib"
./%oname/AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/apps
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a %oname $RPM_BUILD_ROOT%_libdir/apps/
rm -rf $RPM_BUILD_ROOT%_libdir/apps/src
rm -rf $RPM_BUILD_ROOT%_libdir/apps/*/{src,build}
cp -a rox.1 $RPM_BUILD_ROOT%{_mandir}/man1
( cd $RPM_BUILD_ROOT%{_mandir}/man1 ; ln -s rox.1 %oname.1 )
cat << EOF > $RPM_BUILD_ROOT%{_bindir}/rox
#!/bin/sh
exec %_libdir/apps/%oname/AppRun "\$@"
EOF
chmod a+x $RPM_BUILD_ROOT%{_bindir}/rox
cp rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -r Choices $RPM_BUILD_ROOT%{_datadir}

# Wrappers
cp -a Wrappers/* $RPM_BUILD_ROOT%_libdir/apps/
cp -a Wrappers/README README.wrappers

# desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=ROX Filer
Comment=ROX Filer
Exec=rox
Icon=rox.png
Terminal=false
MultipleArgs=false
Type=Application
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ROX
Comment=File Manager of the ROX desktop environment
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-FileTools;System;FileManager;
EOF


install -D %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/%name.png
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

# remove temp file
rm -f $RPM_BUILD_ROOT%_libdir/apps/Netscape/.AppRun.swp $RPM_BUILD_ROOT%{_datadir}/Choices/MIME-types/* $RPM_BUILD_ROOT%_libdir/apps/ROX-Filer/AppRun.*

for gmo in %buildroot%_libdir/apps/%oname/Messages/*.gmo;do
echo "%lang($(basename $gmo|sed s/.gmo//)) $(echo $gmo|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%clean_mime_database

%files -f %name.lang
%defattr (-,root,root)
%doc README*
%doc %_libdir/apps/%oname/Help
%doc %_libdir/apps/%oname/Messages/README
%dir %_libdir/apps/
%dir %_libdir/apps/%oname
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/A*
%_libdir/apps/%oname/Options.xml
%dir %_libdir/apps/%oname/Messages
%_libdir/apps/%oname/ROX*
%_libdir/apps/%oname/images
%_libdir/apps/%oname/style.css
%_libdir/apps/%oname/subclasses
#wrappers
%_libdir/apps/A*
%_libdir/apps/E*
%_libdir/apps/G*
%_libdir/apps/L*
%_libdir/apps/M*
%_libdir/apps/N*
%_libdir/apps/O*
%_libdir/apps/README
%_libdir/apps/S*
%_libdir/apps/T*
%_libdir/apps/V*
%_libdir/apps/X*
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/%{name}.desktop
%dir %{_datadir}/Choices
%dir %{_datadir}/Choices/MIME-types
%{_datadir}/mime/packages/rox.xml
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_datadir/applications/mandriva-*




%changelog
* Sun Jun 10 2007 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2008.0
+ Revision: 37946
- new version


* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2007.0
+ Revision: 125700
- Import rox

* Sun Feb 25 2007 Gtz Waschk <waschk@mandriva.org> 2.6-1mdv2007.1
- unpack patches
- new version

* Sat Jul 08 2006 Götz Waschk <waschk@mandriva.org> filer-2.5-1
- New release 2.5

* Fri Jul 07 2006 Gtz Waschk <waschk@mandriva.org> 2.4.1-2mdv2007.0
- xdg menu
- drop old menu
- fix buildrequires

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdk
- New release 2.4.1

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 2.4-1mdk
- updat file list
- New release 2.4
- use mkrel

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 2.3-1mdk
- update file list
- drop patch 3
- New release 2.3

* Thu May 19 2005 Frederic Lepied <flepied@mandriva.com> 2.2.0-4mdk
- add a new menu method for mime types (source6)

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 2.2.0-3mdk
- fix build on x86_64

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 2.2.0-2mdk
- fix post scripts
- patch3: fix gcc4 build
- update menu method

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- New release 2.2.0

* Mon Jan 24 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.1.6-1mdk
- New release 2.1.6

* Sat Jan 15 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.1.5-1mdk
- New release 2.1.5

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-2mdk
- build with gnome-vfs

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- fix menu
- fix buildrequires
- New release 2.1.4

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.3-1mdk
- rediff patch 0
- New release 2.1.3

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-3mdk
- fix menu method

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-2mdk
- spec fixes
- add lang tag to the translations 
- rediff patch 1

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- disable patch 1 (still has to be ported)
- New release 2.1.2

